slepc-3.21.1 2024-04-26
Report Typos and Errors

# PEPSTOARGetLocking

Gets the locking flag used in the STOAR method.

### Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSTOARGetLocking(PEP pep,PetscBool *lock)

Not Collective

### Input Parameter

| pep | - the eigenproblem solver context

### Output Parameter

| lock | - the locking flag

### See Also

PEPSTOARSetLocking()

### Level

advanced

### Location

src/pep/impls/krylov/stoar/stoar.c
Index of all PEP routines
Table of Contents for all manual pages
Index of all manual pages